<template>
  <iframe :src="url" height="99.5%" width="100%" frameBorder="0" />
</template>
<script>
import { getFanruanToken } from '@/utils/auth'
export default {
  data() {
    return {
      fanruanToken: getFanruanToken()
    }
  },
  computed: {
    url() {
      if(!!~this.$route.meta.url.indexOf("?viewlet=")){
        return this.$route.meta.url && this.fanruanToken ? `${this.$route.meta.url}&ssoToken=${this.fanruanToken}` : ''
      }else{
        return this.$route.meta.url
      }
    }
  }
}
</script>
<style></style>
